tigase.stats

## Class JavaJMXProxyOpt

- java.lang.Object
- - tigase.stats.JavaJMXProxyOpt

- All Implemented Interfaces:
    EventListener, NotificationListener

      public class JavaJMXProxyOpt
      extends Object
      implements NotificationListener

  Author:
    Artur Hefczyc Created Jun 3, 2011

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaJMXProxyOpt(String id, String hostname, int port, String userName, String password, long delay, long interval, boolean loadHistory)` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJMXProxyListener(JMXProxyListenerOpt listener)` Method description
    `void` | `connect()` Method description
    `Map<String,String>` | `getAllStats(int level)` Method description
    `List<String>` | `getComponentsNames()` Method description
    `Map<String,String>` | `getComponentStats(String compName, int level)` Method description
    `String` | `getHostname()` Method description
    `String` | `getId()` Method description
    `Object` | `getMetricData(String key)` Method description
    `Object[]` | `getMetricHistory(String key)` Method description
    `String` | `getSystemDetails()` Method description
    `void` | `handleNotification(Notification notification, Object handback)`
    `boolean` | `isConnected()` Method description
    `boolean` | `isInitialized()` Method description
    `void` | `start()` Method description
    `void` | `update()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaJMXProxyOpt

          public JavaJMXProxyOpt(String id,
                                 String hostname,
                                 int port,
                                 String userName,
                                 String password,
                                 long delay,
                                 long interval,
                                 boolean loadHistory)

      Constructs ...
      Parameters:
        `id` -
        `hostname` -
        `port` -
        `userName` -
        `password` -
        `delay` -
        `interval` -
        `loadHistory` -

  - ### Method Detail

    - #### addJMXProxyListener

          public void addJMXProxyListener(JMXProxyListenerOpt listener)

      Method description
      Parameters:
        `listener` - is a `JMXProxyListenerOpt`

    - #### connect

          public void connect()
                       throws Exception

      Method description
      Throws:
        `Exception`

    - #### handleNotification

          public void handleNotification(Notification notification,
                                         Object handback)

      Specified by:
        `handleNotification` in interface `NotificationListener`

    - #### start

          public void start()

      Method description

    - #### update

          public void update()

      Method description

    - #### getAllStats

          public Map<String,String> getAllStats(int level)

      Method description
      Parameters:
        `level` - is a `int`
      Returns:
        a value of `Map<String,String>`

    - #### getComponentsNames

          public List<String> getComponentsNames()

      Method description
      Returns:
        a value of `List<String>`

    - #### getComponentStats

          public Map<String,String> getComponentStats(String compName,
                                                      int level)

      Method description
      Parameters:
        `compName` - is a `String`
        `level` - is a `int`
      Returns:
        a value of `Map<String,String>`

    - #### getHostname

          public String getHostname()

      Method description
      Returns:
        a value of `String`

    - #### getId

          public String getId()

      Method description
      Returns:
        a value of `String`

    - #### getMetricData

          public Object getMetricData(String key)

      Method description
      Parameters:
        `key` - is a `String`
      Returns:
        a value of `Object`

    - #### getMetricHistory

          public Object[] getMetricHistory(String key)

      Method description
      Parameters:
        `key` - is a `String`
      Returns:
        a value of `Object[]`

    - #### getSystemDetails

          public String getSystemDetails()

      Method description
      Returns:
        a value of `String`

    - #### isConnected

          public boolean isConnected()

      Method description
      Returns:
        a value of `boolean`

    - #### isInitialized

          public boolean isInitialized()

      Method description
      Returns:
        a value of `boolean`

Copyright © 2016 "Tigase, Inc.". All rights reserved.